Package org.opensaml.xmlsec.keyinfo.impl

# Class StaticKeyInfoCredentialResolver

java.lang.Object
org.opensaml.security.credential.impl.AbstractCredentialResolver
org.opensaml.security.credential.impl.StaticCredentialResolver
org.opensaml.xmlsec.keyinfo.impl.StaticKeyInfoCredentialResolver

All Implemented Interfaces:
  `Resolver<Credential,CriteriaSet>`, `CredentialResolver`, `KeyInfoCredentialResolver`

public class StaticKeyInfoCredentialResolver extends StaticCredentialResolver implements KeyInfoCredentialResolver
Simple implementation of `KeyInfoCredentialResolver` which just stores and returns a static set of credentials.

Note: no filtering or other evaluation of the credentials is performed. Any Criterion specified are ignored. For a similar Collection-based KeyInfoCredentialResolver implementation which does support evaluation and filtering based on supplied evaluable criteria, see `CollectionKeyInfoCredentialResolver`.

This implementation might also be used at the end of a chain of KeyInfoCredentialResolvers in order to supply a default, fallback set of credentials, if none could otherwise be resolved.

## Constructor Summary

Constructors
Constructor
Description
`StaticKeyInfoCredentialResolver(List<Credential> credentials)`
Constructor.
`StaticKeyInfoCredentialResolver(Credential credential)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.security.credential.impl.StaticCredentialResolver

`resolve`

### Methods inherited from class org.opensaml.security.credential.impl.AbstractCredentialResolver

`resolveSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Constructor Details

### StaticKeyInfoCredentialResolver

public StaticKeyInfoCredentialResolver(@Nonnull @ParameterName(name="credentials") List<Credential> credentials)
Constructor.

Parameters:
  `credentials` - collection of credentials to be held by this resolver

### StaticKeyInfoCredentialResolver

public StaticKeyInfoCredentialResolver(@Nonnull @ParameterName(name="credential") Credential credential)
Constructor.

Parameters:
  `credential` - a single credential to be held by this resolver